- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::detail::GenericObjectBounce< O > Class Template Reference

`#include <object.hxx>`

## Public Member Functions
const MetaObject & | metaObject () const
qi::Future< AnyReference > | metaCall (unsigned int method, const GenericFunctionParameters &params, MetaCallType callType=MetaCallType_Auto, Signature returnSignature=Signature()) const
int | findMethod (const std::string &name, const GenericFunctionParameters &parameters) const
qi::Future< AnyReference > | metaCall (const std::string &nameWithOptionalSignature, const GenericFunctionParameters &params, MetaCallType callType=MetaCallType_Auto, Signature returnSignature=Signature()) const
void | metaPost (unsigned int event, const GenericFunctionParameters &params) const
void | metaPost (const std::string &nameWithOptionalSignature, const GenericFunctionParameters &in) const
template<typename... Args>
void | post (const std::string &eventName, Args &&...args) const
template<typename FUNCTOR_TYPE >
qi::FutureSync< SignalLink > | connect (const std::string &eventName, FUNCTOR_TYPE callback, MetaCallType threadingModel=MetaCallType_Auto) const
qi::FutureSync< SignalLink > | connect (const std::string &name, const SignalSubscriber &functor) const
qi::FutureSync< SignalLink > | connect (unsigned int signal, const SignalSubscriber &subscriber) const
qi::FutureSync< SignalLink > | connect (unsigned int signal, AnyObject target, unsigned int slot) const
qi::FutureSync< void > | disconnect (SignalLink linkId) const
template<typename T >
qi::FutureSync< T > | property (const std::string &name) const
template<typename T >
qi::FutureSync< void > | setProperty (const std::string &name, const T &val) const
qi::FutureSync< AnyValue > | property (unsigned int id) const
qi::FutureSync< void > | setProperty (unsigned int id, const AnyValue &val) const
ExecutionContext * | executionContext () const
bool | isStatsEnabled () const
void | enableStats (bool enable) const
ObjectStatistics | stats () const
void | clearStats () const
bool | isTraceEnabled () const
void | enableTrace (bool enable)
void | forceExecutionContext (boost::shared_ptr< qi::ExecutionContext > ec)
template<typename R , typename... Args>
qi::Future< R > | async (const std::string &methodName, Args &&...args) const
template<typename R , typename... Args>
R | call (const std::string &methodName, Args &&...args) const

## Detailed Description

### template<typename O>
class qi::detail::GenericObjectBounce< O >

Definition at line 61 of file object.hxx.

## Member Function Documentation

template<typename O>
template<typename R , typename... Args>

qi::Future<R> qi::detail::GenericObjectBounce< O >::async | ( | const std::string & | methodName,
|  | Args &&... | args
| ) |  | const
| inline

Definition at line 161 of file object.hxx.

template<typename O>
template<typename R , typename... Args>

R qi::detail::GenericObjectBounce< O >::call | ( | const std::string & | methodName,
|  | Args &&... | args
| ) |  | const
| inline

Definition at line 166 of file object.hxx.

template<typename O>

void qi::detail::GenericObjectBounce< O >::clearStats | ( |  | ) | const
| inline

Definition at line 144 of file object.hxx.

template<typename O>
template<typename FUNCTOR_TYPE >

qi::FutureSync<SignalLink> qi::detail::GenericObjectBounce< O >::connect | ( | const std::string & | eventName,
|  | FUNCTOR_TYPE | callback,
|  | MetaCallType | threadingModel = `MetaCallType_Auto`
| ) |  | const
| inline

Definition at line 91 of file object.hxx.

template<typename O>

qi::FutureSync<SignalLink> qi::detail::GenericObjectBounce< O >::connect | ( | const std::string & | name,
|  | const SignalSubscriber & | functor
| ) |  | const
| inline

Definition at line 96 of file object.hxx.

template<typename O>

qi::FutureSync<SignalLink> qi::detail::GenericObjectBounce< O >::connect | ( | unsigned int | signal,
|  | const SignalSubscriber & | subscriber
| ) |  | const
| inline

Definition at line 100 of file object.hxx.

template<typename O >

qi::FutureSync< SignalLink > qi::detail::GenericObjectBounce< O >::connect | ( | unsigned int | signal,
|  | AnyObject | target,
|  | unsigned int | slot
| ) |  | const
| inline

Definition at line 664 of file object.hxx.

template<typename O>

qi::FutureSync<void> qi::detail::GenericObjectBounce< O >::disconnect | ( | SignalLink | linkId | ) | const
| inline

Definition at line 106 of file object.hxx.

template<typename O>

void qi::detail::GenericObjectBounce< O >::enableStats | ( | bool | enable | ) | const
| inline

Definition at line 136 of file object.hxx.

template<typename O>

void qi::detail::GenericObjectBounce< O >::enableTrace | ( | bool | enable | ) |
| inline

Definition at line 152 of file object.hxx.

template<typename O>

ExecutionContext* qi::detail::GenericObjectBounce< O >::executionContext | ( |  | ) | const
| inline

Definition at line 128 of file object.hxx.

template<typename O>

int qi::detail::GenericObjectBounce< O >::findMethod | ( | const std::string & | name,
|  | const GenericFunctionParameters & | parameters
| ) |  | const
| inline

Definition at line 69 of file object.hxx.

template<typename O>

void qi::detail::GenericObjectBounce< O >::forceExecutionContext | ( | boost::shared_ptr< qi::ExecutionContext > | ec | ) |
| inline

Definition at line 156 of file object.hxx.

template<typename O>

bool qi::detail::GenericObjectBounce< O >::isStatsEnabled | ( |  | ) | const
| inline

Definition at line 132 of file object.hxx.

template<typename O>

bool qi::detail::GenericObjectBounce< O >::isTraceEnabled | ( |  | ) | const
| inline

Definition at line 148 of file object.hxx.

template<typename O>

qi::Future<AnyReference> qi::detail::GenericObjectBounce< O >::metaCall | ( | unsigned int | method,
|  | const GenericFunctionParameters & | params,
|  | MetaCallType | callType = `MetaCallType_Auto`,
|  | Signature | returnSignature = `Signature()`
| ) |  | const
| inline

Definition at line 65 of file object.hxx.

template<typename O>

qi::Future<AnyReference> qi::detail::GenericObjectBounce< O >::metaCall | ( | const std::string & | nameWithOptionalSignature,
|  | const GenericFunctionParameters & | params,
|  | MetaCallType | callType = `MetaCallType_Auto`,
|  | Signature | returnSignature = `Signature()`
| ) |  | const
| inline

Definition at line 73 of file object.hxx.

template<typename O>

const MetaObject& qi::detail::GenericObjectBounce< O >::metaObject | ( |  | ) | const
| inline

Definition at line 64 of file object.hxx.

template<typename O>

void qi::detail::GenericObjectBounce< O >::metaPost | ( | unsigned int | event,
|  | const GenericFunctionParameters & | params
| ) |  | const
| inline

Definition at line 77 of file object.hxx.

template<typename O>

void qi::detail::GenericObjectBounce< O >::metaPost | ( | const std::string & | nameWithOptionalSignature,
|  | const GenericFunctionParameters & | in
| ) |  | const
| inline

Definition at line 81 of file object.hxx.

template<typename O>
template<typename... Args>

void qi::detail::GenericObjectBounce< O >::post | ( | const std::string & | eventName,
|  | Args &&... | args
| ) |  | const
| inline

Definition at line 86 of file object.hxx.

template<typename O>
template<typename T >

qi::FutureSync<T> qi::detail::GenericObjectBounce< O >::property | ( | const std::string & | name | ) | const
| inline

Definition at line 111 of file object.hxx.

template<typename O>

qi::FutureSync<AnyValue> qi::detail::GenericObjectBounce< O >::property | ( | unsigned int | id | ) | const
| inline

Definition at line 120 of file object.hxx.

template<typename O>
template<typename T >

qi::FutureSync<void> qi::detail::GenericObjectBounce< O >::setProperty | ( | const std::string & | name,
|  | const T & | val
| ) |  | const
| inline

Definition at line 116 of file object.hxx.

template<typename O>

qi::FutureSync<void> qi::detail::GenericObjectBounce< O >::setProperty | ( | unsigned int | id,
|  | const AnyValue & | val
| ) |  | const
| inline

Definition at line 124 of file object.hxx.

template<typename O>

ObjectStatistics qi::detail::GenericObjectBounce< O >::stats | ( |  | ) | const
| inline

Definition at line 140 of file object.hxx.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/object.hxx